Skip to content
DashboardGet API Key

Get lip sync request

GET/v1/lipsync/requests/{id}

Returns a single lip sync request by request UUID or reference_id.

Path ParametersExpand Collapse
id: string
minLength1
ReturnsExpand Collapse
LipsyncRequest = object { id, created_at, status, 5 more }
id: string

Lip sync request ID.

formatuuid
created_at: string

Request creation time in UTC.

formatdate-time
status: string

Current request status.

error_message: optional string

Failure message when status is failed.

finished_at: optional string

Request processing completion time in UTC.

formatdate-time
output_url: optional string

URL to the generated output media, when available.

formaturi
reference_id: optional string

Client-provided identifier for this request.

started_at: optional string

Request processing start time in UTC.

formatdate-time

Get lip sync request

curl https://api.chamelaion.com/api/v1/lipsync/requests/$ID \
    -H "x-api-key: $CHAMELAION_API_KEY"
{
  "id": "6f82a2d8-a6d4-4e8a-a0fa-e8b09823a2d8",
  "reference_id": "dub-episode-42",
  "status": "completed",
  "created_at": "2026-04-07T10:00:00Z",
  "started_at": "2026-04-07T10:00:05Z",
  "finished_at": "2026-04-07T10:01:30Z",
  "output_url": "https://storage.chamelaion.com/output/6f82a2d8.mp4"
}
{
  "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "reference_id": "dub-episode-43",
  "status": "failed",
  "created_at": "2026-04-07T11:00:00Z",
  "started_at": "2026-04-07T11:00:04Z",
  "finished_at": "2026-04-07T11:00:12Z",
  "error_message": "video URL is not accessible"
}
{
  "error": "missing authorization header"
}
{
  "error": "invalid authorization format"
}
{
  "error": "missing token"
}
{
  "error": "invalid token"
}
{
  "error": "unauthorized"
}
{
  "error": "lipsync request not found"
}
{
  "error": "rate limit exceeded"
}
{
  "error": "internal error"
}
Returns Examples
{
  "id": "6f82a2d8-a6d4-4e8a-a0fa-e8b09823a2d8",
  "reference_id": "dub-episode-42",
  "status": "completed",
  "created_at": "2026-04-07T10:00:00Z",
  "started_at": "2026-04-07T10:00:05Z",
  "finished_at": "2026-04-07T10:01:30Z",
  "output_url": "https://storage.chamelaion.com/output/6f82a2d8.mp4"
}
{
  "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "reference_id": "dub-episode-43",
  "status": "failed",
  "created_at": "2026-04-07T11:00:00Z",
  "started_at": "2026-04-07T11:00:04Z",
  "finished_at": "2026-04-07T11:00:12Z",
  "error_message": "video URL is not accessible"
}
{
  "error": "missing authorization header"
}
{
  "error": "invalid authorization format"
}
{
  "error": "missing token"
}
{
  "error": "invalid token"
}
{
  "error": "unauthorized"
}
{
  "error": "lipsync request not found"
}
{
  "error": "rate limit exceeded"
}
{
  "error": "internal error"
}